# Get personal project details GET https://app.unleash-instance.example.com/api/admin/personal-dashboard/{projectId} Return personal dashboard project events, owners, user roles and onboarding status Reference: https://docs.getunleash.io/api/get-personal-dashboard-project-details ## OpenAPI Specification ```yaml openapi: 3.1.1 info: title: Get personal project details version: endpoint_unstable.getPersonalDashboardProjectDetails paths: /api/admin/personal-dashboard/{projectId}: get: operationId: get-personal-dashboard-project-details summary: Get personal project details description: >- Return personal dashboard project events, owners, user roles and onboarding status tags: - - subpackage_unstable parameters: - name: projectId in: path required: true schema: type: string - name: Authorization in: header description: Header authentication of the form `undefined ` required: true schema: type: string responses: '200': description: personalDashboardProjectDetailsSchema content: application/json: schema: $ref: '#/components/schemas/personalDashboardProjectDetailsSchema' '401': description: >- Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. content: {} '403': description: >- The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation content: {} '404': description: The requested resource was not found. content: {} components: schemas: PersonalDashboardProjectDetailsSchemaInsights: type: object properties: avgHealthCurrentWindow: type: - integer - 'null' description: The project's average health score over the last 4 weeks avgHealthPastWindow: type: - integer - 'null' description: The project's average health score over the previous 4-week window totalFlags: type: integer description: The current number of non-archived flags activeFlags: type: integer description: The number of active flags that are not stale or potentially stale staleFlags: type: integer description: The current number of flags that have been manually marked as stale potentiallyStaleFlags: type: integer description: The number of potentially stale flags as calculated by Unleash health: type: integer description: Use `technicalDebt` instead. technicalDebt: type: integer description: >- An indicator of the [project's technical debt](https://docs.getunleash.io/concepts/technical-debt#project-status) on a scale from 0 to 100 required: - avgHealthCurrentWindow - avgHealthPastWindow - totalFlags - activeFlags - staleFlags - potentiallyStaleFlags - health - technicalDebt PersonalDashboardProjectDetailsSchemaOnboardingStatusOneOf0Status: type: string enum: - value: onboarding-started - value: onboarded PersonalDashboardProjectDetailsSchemaOnboardingStatus0: type: object properties: status: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOnboardingStatusOneOf0Status required: - status PersonalDashboardProjectDetailsSchemaOnboardingStatusOneOf1Status: type: string enum: - value: first-flag-created PersonalDashboardProjectDetailsSchemaOnboardingStatus1: type: object properties: status: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOnboardingStatusOneOf1Status feature: type: string description: The name of the feature flag required: - status - feature PersonalDashboardProjectDetailsSchemaOnboardingStatus: oneOf: - $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOnboardingStatus0 - $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOnboardingStatus1 PersonalDashboardProjectDetailsSchemaLatestEventsItems: type: object properties: id: type: integer description: The ID of the event. summary: type: - string - 'null' description: '**[Experimental]** A markdown-formatted summary of the event.' createdBy: type: string description: Which user created this event createdByImageUrl: type: string description: URL used for the user profile image of the event author createdAt: type: string format: date-time description: When the event was recorded required: - id - summary - createdBy - createdByImageUrl - createdAt PersonalDashboardProjectDetailsSchemaOwnersOneOf0ItemsOneOf0OwnerType: type: string enum: - value: user PersonalDashboardProjectDetailsSchemaOwnersOneOf0Items0: type: object properties: ownerType: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOwnersOneOf0ItemsOneOf0OwnerType name: type: string imageUrl: type: - string - 'null' email: type: - string - 'null' required: - ownerType - name PersonalDashboardProjectDetailsSchemaOwnersOneOf0ItemsOneOf1OwnerType: type: string enum: - value: group PersonalDashboardProjectDetailsSchemaOwnersOneOf0Items1: type: object properties: ownerType: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOwnersOneOf0ItemsOneOf1OwnerType name: type: string required: - ownerType - name PersonalDashboardProjectDetailsSchemaOwnersOneOf0Items: oneOf: - $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOwnersOneOf0Items0 - $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOwnersOneOf0Items1 PersonalDashboardProjectDetailsSchemaOwners0: type: array items: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOwnersOneOf0Items PersonalDashboardProjectDetailsSchemaOwnersOneOf1ItemsOwnerType: type: string enum: - value: system PersonalDashboardProjectDetailsSchemaOwnersOneOf1Items: type: object properties: ownerType: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOwnersOneOf1ItemsOwnerType required: - ownerType PersonalDashboardProjectDetailsSchemaOwners1: type: array items: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOwnersOneOf1Items PersonalDashboardProjectDetailsSchemaOwners: oneOf: - $ref: '#/components/schemas/PersonalDashboardProjectDetailsSchemaOwners0' - $ref: '#/components/schemas/PersonalDashboardProjectDetailsSchemaOwners1' PersonalDashboardProjectDetailsSchemaRolesItemsType: type: string enum: - value: custom - value: project PersonalDashboardProjectDetailsSchemaRolesItems: type: object properties: name: type: string description: The name of the role id: type: integer description: The id of the role type: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaRolesItemsType description: The type of the role required: - name - id - type personalDashboardProjectDetailsSchema: type: object properties: insights: $ref: '#/components/schemas/PersonalDashboardProjectDetailsSchemaInsights' description: >- Insights for the project, including flag data and project health information. onboardingStatus: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaOnboardingStatus description: The current onboarding status of the project. latestEvents: type: array items: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaLatestEventsItems description: The latest events for the project. owners: $ref: '#/components/schemas/PersonalDashboardProjectDetailsSchemaOwners' description: >- The users and/or groups that have the "owner" role in this project. If no such users or groups exist, the list will contain the "system" owner instead. roles: type: array items: $ref: >- #/components/schemas/PersonalDashboardProjectDetailsSchemaRolesItems description: The list of roles that the user has in this project. required: - insights - onboardingStatus - latestEvents - owners - roles ``` ## SDK Code Examples ```python import requests url = "https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```